<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:util="http://www.springframework.org/schema/util"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.1.xsd




    http://www.springframework.org/schema/util
    http://www.springframework.org/schema/util/spring-util-2.5.xsd"
>
    <bean id="contentChemistryDAO"
          class="org.inra.ecoinfo.acbb.dataset.soil.contentschemistry.jpa.JPAContentChemistryDAO"
          parent="abstractDAO"/>
    <bean id="requestPropertiesContentChemistry"
          class="org.inra.ecoinfo.acbb.dataset.soil.contentschemistry.impl.RequestPropertiesContentChemistry"
          parent="requestPropertiesSoil">
        <property name="dateFormat" value="yyyy/MM/dd"/>
        <property name="localizationManager" ref="localizationManager"/>
    </bean>
    <bean id="publicationContentChemistryDAO"
          class="org.inra.ecoinfo.acbb.dataset.soil.contentschemistry.jpa.JPAPublicationContentChemistryDAO"/>

    <bean id="contentChemistryDatatype" class="java.lang.String">
        <constructor-arg type="java.lang.String">
            <value>sol_analyse</value>
        </constructor-arg>
    </bean>
    <bean id="contentChemistryHelper"
          class="org.inra.ecoinfo.acbb.dataset.soil.contentschemistry.impl.BuildContentChemistryHelper"
          parent="abstractBuildHelperSoil" scope="prototype">
        <property name="contentChemistryDAO" ref="contentChemistryDAO"/>
        <property name="datatypeName" ref="contentChemistryDatatype"/>
    </bean>
    <bean id="deleteContentChemistry" class="org.inra.ecoinfo.acbb.dataset.impl.DeleteRecord"
          parent="deleteRecord">
        <property name="publicationDAO" ref="publicationContentChemistryDAO"/>
    </bean>
    <bean id="processRecordContentChemistry"
          class="org.inra.ecoinfo.acbb.dataset.soil.contentschemistry.impl.ProcessRecordContentChemistry"
          parent="abstractProcessRecordSoil">
        <property name="methodeAnalyseDAO" ref="methodeAnalyseSoilDAO"/>
        <property name="methodeSampleDAO" ref="methodeSampleDAO"/>
        <property name="datatypeName" ref="contentChemistryDatatype"/>
    </bean>
    <util:map id="contentChemistryColumnPatterns">
        <entry key="valeur" value="^(.*)_(valeur)$"/>
        <entry key="nb" value="^(.*)_(nb)$"/>
        <entry key="et" value="^(.*)_(et)$"/>
        <entry key="methode" value="^(.*)_(methode)$"/>
        <entry key="IQ" value="^(.*)_(IQ)$"/>
        <entry key="hum_res_valeur" value="^(Hum_Res)_pour_(.*)_(valeur)$"/>
        <entry key="hum_res_nb" value="^(Hum_Res)_pour_(.*)_(nb)$"/>
        <entry key="hum_res_et" value="^(Hum_Res)_pour_(.*)_(et)$"/>
        <entry key="hum_res_methode" value="^(Hum_Res)_pour_(.*)_(methode)$"/>
    </util:map>
    <bean id="testHeadersContentChemistry" class="org.inra.ecoinfo.acbb.dataset.soil.impl.TestHeadersSoil"
          parent="genericTestHeaders">
        <property name="datatypeName" ref="contentChemistryDatatype"/>
        <property name="columnPatterns" ref="contentChemistryColumnPatterns"/>
        <property name="variableACBBDAO" ref="variableACBBDAO"/>
        <property name="mandatoryVariableNames">
            <list/>
        </property>
    </bean>
    <bean id="contentChemistryTestValue" class="org.inra.ecoinfo.acbb.dataset.soil.impl.TestValuesSoil"
          parent="genericTestValues"/>
    <bean id="testFormatContentChemistry" class="org.inra.ecoinfo.acbb.dataset.impl.GenericTestFormat"
          parent="abstractTestFormat">
        <property name="datatypeName" ref="contentChemistryDatatype"/>
        <property name="testValues" ref="contentChemistryTestValue"/>
        <property name="testHeaders" ref="testHeadersContentChemistry"/>
    </bean>
    <bean id="soilChemistryRecorder" class="org.inra.ecoinfo.acbb.dataset.impl.RecorderACBB"
          parent="abstractRecorderBean">
        <property name="datasetDescriptorPath" value="soil/contentschemistry/impl/dataset-descriptor.xml"/>
        <property name="requestPropertiesName" value="requestPropertiesContentChemistry"/>
        <property name="testFormat" ref="testFormatContentChemistry"/>
        <property name="deleteRecord" ref="deleteContentChemistry"/>
        <property name="processRecord" ref="processRecordContentChemistry"/>
    </bean>
    <!--bean id="fluxTourDatatypeManager" class="org.inra.ecoinfo.acbb.dataset.flux.impl.DefaultFluxToursDatatypeManager"
    parent="MO" / -->
</beans>
